Subtitle ToolsST

Srt Cleaner

POSThttps://subtitletools.com/api/v1/srt-cleaner

This endpoint is the API version of the Srt Cleaner tool.

Request body

FieldTypeRequiredDescription
subtitleFileRequiredThe subtitle file
stripCurlyBooleanRemove everything between curly brackets { }
stripSquareBooleanRemove everything between square brackets [ ]
stripParenthesesBooleanRemove everything between parentheses ( )
stripSpeakerLabelsBooleanRemove speaker labels
stripCuesWithMusicNoteBooleanRemove cues containing a music note (♪)
stripTextBetweenAsterisksBooleanRemove everything between asterisks * ... *
stripTextBetweenHashtagsBooleanRemove everything between hashtags # ... #
fixUppercaseCuesBooleanChange uppercase text to lowercase
removeUppercaseSDHBooleanRemove SDH
removeWatermarksBooleanRemove watermarks
removeFormattingBooleanRemove text formatting
removeFormattingKeepItalicBooleanDon't remove italic styling <i></i> (note: removeFormatting must be true for this option to have effect)
removeFormattingKeepBoldBooleanDon't remove bold styling <b></b> (note: removeFormatting must be true for this option to have effect)
removeFormattingKeepFontBooleanDon't remove fonts or colored text <font></font> (note: removeFormatting must be true for this option to have effect)
removeFormattingAndAllOtherAngleBracketsBooleanRemove everything else between angle brackets (note: removeFormatting must be true for this option to have effect)
removeLineBreaksBooleanRemove all line breaks
mergeCuesWithSameTextBooleanMerge cues with the same text

Example responses

{
    errors: null,
    download_url: "https://subtitletools.com/api/v1/download/6436c844e3"
}

Or, when a validation error occurs:

{
    errors: [
        "The subtitle field is required."
    ],
    download_url: null
}